Updates a suite
PUT
/suites/{id}Suite to update
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, SuitesApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new SuitesApi(config);
const result = await api.updateSuite({ "project": 123, "id": 123, "addSuitePayload": { "parentId": 123, "title": "Checkout smoke tests", "project": 123 }});console.log(result);curl --request PUT \ "https://api.testcollab.io/suites/123?token=$TESTCOLLAB_TOKEN&project=123" \ --header 'Content-Type: application/json' \ --data '{ "parent_id": 123, "title": "example", "description": "example", "project": 123}'Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
project |
query | number | Yes | Project ID |
id |
path | number | Yes | Suite ID |
Request body
Section titled “Request body”| Field | Type | Required | Description |
|---|---|---|---|
parent_id |
number | Yes | — |
title |
string | Yes | — |
description |
string | No | — |
project |
number | Yes | — |
Response
Section titled “Response”200 — Suite Updated
{}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
403 |
Forbidden |